import request from '@/assets/js/utils/request'

// 国际化语言列表
export function internationalizationList(data) {
  return request({
    url: '/bidprocurement/common-tools/tools/internationalization/getMutiLanglist',
    method: 'post',
    data
  })
}

// 根据id获取语言信息
export function getMutiLang(data) {
  return request({
    url: '/bidprocurement/common-tools/tools/internationalization/getMutiLanglist',
    method: 'post',
    data
  })
}

// 国际化语言删除
export function delMutiLang(id) {
  return request({
    url: '/bidprocurement/common-tools/tools/internationalization/delMutiLang' +
            '?id=' +
            id,
    method: 'post'
  })
}

// 国际化语言新增或者编辑

export function addOrUpdate(data) {
  return request({
    url: '/bidprocurement/common-tools/tools/internationalization/addOrUpdateMutiLang',
    method: 'post',
    data
  })
}

// 初始化国际化

export function initMutiLang(data) {
  return request({
    url: '/bidprocurement/common-tools/tools/internationalization/initMutiLang',
    method: 'post',
    data
  })
}
